----------------
-- Menutest.ex
----------------
-- by Daniel Berstein Z.
-- e-mail: dberst@cmet.net
----------------
-- This file is intended to test my menu engine MENU_ENG.E, and will
-- display a scrollable menu with the contents of your root directory.
-- Play with this file, and use it as you want.
-- The file MENU_ENG.E is required for this stuff to work.
-----------------

include menu_eng.e

clear_screen()

sequence test, parameters
integer selection

parameters = repeat(0, 7)

parameters[1] = 3   -- Starting row coord.
parameters[2] = 10  -- Starting column coord.
parameters[3] = 20  -- Maximum column length
parameters[4] = 15  -- Column width
parameters[5] = 3   -- Number of visible columns
parameters[6] = 1   -- Complete lightbar style
parameters[7] = 1   -- Activate scrollbar display

test = dir("c:\\")
for loop = 1 to length(test) do
    test[loop] = test[loop][D_NAME]
end for

selection = menu(test, parameters,{WHITE,BLUE,BLUE,WHITE})

position(24,1)
if selection = -1 then
    puts(1, "Selection has been aborted")
else
    puts(1, test[selection] & " has been selected")
end if


